@charset 'utf-8';
/*
Theme Name:solar-justpower Child Theme
Theme URI: 
Description: hello-elementor Child Theme - Multipurpose and Multiskin Responsive Wordpress theme
Author: hello-elementor Child Theme
Author URI:  
Template: solar-justpower
Version: 1.0
License: GNU General Public License
License URI: license.txt
Tags: flexible-header, accessibility-ready, custom-background, custom-colors, custom-header, custom-menu, featured-image-header, featured-images, full-width-template, microformats, post-formats, theme-options, threaded-comments, translation-ready
Text Domain: solar-justpower-child
*/


.wpcf7 form.sent .wpcf7-response-output {
    background: #00D06C;
    border: none;
    font-family: Karla !important;
    font-style: normal;
    font-weight: normal !important;
    font-size: 15px;
    line-height: 18px;
    letter-spacing: 0.003em;
    padding: 7px 11px;
    margin: 36px 0 0 0;
    max-width: 508px;
    color: #000000 !important;
}



div.elementor-message{
	background-color: #ffffff;
    padding: 10px;
    border-radius: 8px;
    font-weight: bold;
}
div.elementor-message-success{
	background-color: #1fc51f;
    color: white;
}

/* for footer css start */
#icon_social .elementor-social-icon {
	background: none;
}
#f_form input {
	padding: 15px 15px 13px 15px;
}
#f_form select {
	padding: 15px 15px 13px 15px;
    
}
#f_form input::placeholder,
textarea::placeholder {
    color: #000 !important;
    opacity: 1 !important;
}

/* Chrome, Safari, Edge, Opera */
#f_form input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
#f_form input[type="number"] {
    -moz-appearance: textfield;
}
#f_form textarea {
	padding-top: 20px;
	padding-left: 15px;
	height: 114px;
}
#f_form .select-caret-down-wrapper {
	display: none;
}
.sampleform .elementor-field-type-upload {
    background-color: #fff;
    border-radius: 8px;
    height: 52px;
    width: 100%;
    background-image: url('https://solar.justpower.ca/wp-content/uploads/2025/10/file.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
	margin-top:25.5px;
}

.sampleform .elementor-field-type-upload .elementor-upload-field {
    width: 100%;
    height: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
}
.sampleform .elementor-field-type-upload .elementor-field-label {
	margin-top: -28px;
}
/* for footer css End */

/* for LP for Residential solar power installation css start */
#solar span {
	color: #FC8200;
}
#img_box .elementor-image-box-img {
	margin-bottom: 0;
}
#accordions .elementor-accordion-item {
	margin-bottom: 24px;
	border-radius:20px!important;
overflow:hidden!important;
}
#accordions .elementor-accordion-icon svg {
	width: 28px !important;
	height: 28px;
}
#accordions .elementor-tab-title.elementor-active {
	padding-bottom: 21px;
}
#icon_boxs .elementor-icon-box-title
{
    margin: 0px;
}
#g_review .elementor-testimonial__text {
    padding-top: 16px;
}

#g_review .elementor-testimonial__header {
	order: 2 !important;
	padding-bottom: 31px;
	padding-top: 0px;
	margin-top: -7px;
	border-block-end: 0px;
}
#g_review .elementor-testimonial__content {
	order: 1 !important;
	padding-top: 71px;
}
#g_review .elementor-testimonial {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}
#g_review .elementor-star-rating {
	position: absolute;
	top: 6%;
}
#calc_form .elementor-field-type-submit {
	display: none;
}
#calc_form input {
	padding: 14px 15px 14px 15px;
}

#calc_form input::placeholder {
  color: #000;
  opacity: 1; /* Firefox */
}
#icon_boxs .elementor-icon::after {
	content: "";
	background: url(https://solar.justpower.ca/wp-content/uploads/2025/10/Line.png);
	width: 1px;
	height: 98px;
	position: absolute;
	margin-top: 8px;
}


.review-item .full-text {
  display: none;
}

.review-item.active .full-text {
  display: inline;
}
 .elementor-main-swiper .swiper-slide {
    border-width: 1px 1px 1px 1px;
    border-color: #F2F4F7;
    box-shadow: 0 4px 34px 0 rgb(0 0 0 / .08);
    transition: background 0.3s, border 0.3s, border-radius 0.3s, box-shadow 0.3s;
}


.elementor-container-mr0 .elementor-container {
    margin-right: 0 !important;
}

.justpower-testimonials .jp-read-more{
  background: none !important;
  border: 0 !important;
  padding: 0 !important;
  box-shadow: none !important;
  display: inline-block;
  margin-top: 0px;
  font-family: 'Manrope';
font-style: normal;
font-weight: 500;
font-size: 18px;
line-height: 25px;
text-decoration-line: underline;
color: #FC8200;
  cursor: pointer;
}

.justpower-testimonials .jp-read-more:hover{
  color: #FC8200;
	text-decoration-line: underline;
}

.justpower-testimonials [type="button"]:focus, .justpower-testimonials [type="button"]:hover, .justpower-testimonials [type="submit"]:focus, .justpower-testimonials [type="submit"]:hover, .justpower-testimonials button:focus, .justpower-testimonials button:hover {
   color: #FC8200;
	text-decoration-line: underline;
}

#g_review .elementor-star-rating {
      top: 24px;
}

#g_review .elementor-testimonial__text {
    padding-top: 0px;
}

.elementor-widget-reviews .elementor-testimonial__icon.elementor-icon {
     right: 8px;
    position: relative;
}

.img-border-radius-left-top-bottom img {
    border-bottom-left-radius: 20px;
    border-top-left-radius: 20px;
}

.services-solar-system-item {
    display: none !important;
}

.page-id-4443 .benefits-solar-system-item {
    display: none !important;
}

.page-id-4443 .services-solar-system-item {
    display: block !important;
}




































@media (max-width:767px)
{
    #icon_boxs .elementor-icon::after
    {
        display: none;
    }
	#g_review .elementor-testimonial__text {
    min-height: unset!important;
}
}

@media (max-width:767px)
{
   /* .elementor-126 .elementor-element.elementor-element-f5ed364 .elementor-image-box-img img {
	height: 100%;
	object-fit: cover;
	object-position: center center;
	width: 302px;
} */
.img-box .elementor-image-box-img {
  margin-bottom: 16px !important;
}
.img-box .elementor-image-box-img img {
  width: 355px !important;
  border-radius:20px !important;
}

.process-1 .elementor-icon::after {
	height: 165px !important;
}

.process-2 .elementor-icon::after {
	height: 116px !important;
}

.process-3 .elementor-icon::after {
	height: 116px !important;
}
}


/* for LP for Residential solar power installation css End */
/* Eletric Repairs lp css starts here */
.electric-repairs .elementor-icon-box-title {
	margin-top: 0px !important;
}
#electric-accordions .elementor-accordion-item {
	margin-bottom: 24px;
	border-radius:20px!important;
overflow:hidden!important;
}
#electric-accordions .elementor-accordion-icon {
	font-size: 28px !important;
	margin-top:-2px!important;
}
#electric-accordions .elementor-tab-title.elementor-active {
	padding-bottom: 21px;
}

.process-1
.elementor-icon::after {
	content: "";
	background: url(https://solar.justpower.ca/wp-content/uploads/2025/10/Line.png);
	width: 1px;
	height:73px;
	position: absolute;
	margin-top: 8px;
}
.process-1
.elementor-icon-box-title {
	margin-top: 0px!important;
}

.process-2
.elementor-icon::after {
	content: "";
	background: url(https://solar.justpower.ca/wp-content/uploads/2025/10/Line.png);
	width: 1px;
	height:73px;
	position: absolute;
	margin-top: 8px;
}
.process-2
.elementor-icon-box-title {
	margin-top: 0px!important;
}
.process-3
.elementor-icon::after {
	content: "";
	background: url(https://solar.justpower.ca/wp-content/uploads/2025/10/Line.png);
	width: 1px;
	height:73px;
	position: absolute;
	margin-top: 8px;
}
.process-3
.elementor-icon-box-title {
	margin-top: 0px!important;
}
#our_team .elementor-swiper-button-prev {
	background: url(https://pro.justpower.ca/wp-content/uploads/2025/12/prev.png);
	width: 48px;
	height: 48px;
	margin-left:20px !important;
}
#our_team .elementor-swiper-button-next {
	background: url(https://pro.justpower.ca/wp-content/uploads/2025/12/next.png);
	width: 48px;
	height: 48px;
	margin-right:20px !important;
}
#our_team .elementor-testimonial__cite {
	background: #000;
	padding: 14px 20px;
}
#our_team .elementor-testimonial__image {
	height: 334px !important;
}
#g_reviewsss svg
{
	width:24px !important;
}













/*map css start here  */
#my-map .elementor-widget-container {
	height: 600px !important;
	position: relative;
	overflow: hidden;
}
#my-map .elementor-widget-container iframe {
	height:600px;

}
@media (max-width: 767px){
#my-map .elementor-widget-container {
	height: 300px !important;
	position: relative;
	overflow: hidden;
}
#my-map .elementor-widget-container iframe {
	height:400px;

}
	
.number-block .elementor-icon-box-wrapper {
    flex-direction: row !important;
}	
	
.number-block .elementor-icon-box-icon {
    width: 20%;
}	
	
.number-block .elementor-icon-box-content {
    width: 80%;
}	
	
.number-block .elementor-icon-box-title {
    padding-left: 75px;
}	
	
.number-block .elementor-icon-box-icon {
    position: absolute;
}	
	
.number-block .elementor-icon-box-title {
    margin-top: 0;
    min-height: 58px;
    display: flex;
    align-items: center;
}
	
	
	
	
}/* end here */



.read-more-btn {
	color: #FC8200 !important;
	border: none !important;
}
